package com.yihu.jw.entity.care.course;

import com.yihu.jw.entity.UuidIdentityEntityWithTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/5/10
 * @Description: 课程目录表
 */
@Entity
@Table(name="base_course_catalogue")
public class CourseCatalogueDO extends UuidIdentityEntityWithTime {

    /**
     * 课程id
     */
    private String courserId;
    /**
     * 目录名称
     */
    private String name;
    /**
     * 小结类型 2视频 3文本
     */
    private String type;
    private String typeName;
    /**
     * 小结内容
     */
    private String content;
    /**
     * 视频url
     */
    private String videoUrl;
    /**
     * 排序字段
     */
    private Integer sort;

    @Column(name = "course_id")
    public String getCourserId() {
        return courserId;
    }

    public void setCourserId(String courserId) {
        this.courserId = courserId;
    }
    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    @Transient
    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
    @Column(name = "content")
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
    @Column(name = "video_url")
    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    @Column(name = "sort")
    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
